<div class="px-2 pb-4 d-flex flex-column gap-4">

  <app-pagination
    [totalCount]="totalCount"
    (pageChange)="pageChange($event)">
  </app-pagination>

  <ul class="list-group">
    @for (power of ((powers$ | async) | slice: firstElement() : lastElement());track power.id) {
      <li class="list-group-item cursor-pointer" [routerLink]="['/', 'powers', power.id, 'details']">
        <div class="ms-2 me-auto">
          <div class="fw-bold">{{ power.name }}</div>
          {{ power.description }}
        </div>
         <button
           [routerLink]="['/', 'powers', power.id, 'edit']"
           class="btn btn-primary">
           edition
         </button>
         <button
           (click)="deletePower($event, power.id)"
           class="btn btn-danger">
           delete
         </button>
      </li>
    } @empty {
      <span> no power </span>
    }
  </ul>
</div>
